library dbx;

uses
  SysUtils, Classes, Rubies, Pythia,
  uSQLConnection,
  uSQLDataSet,
  uSQLTable,
  uSQLQuery,
  uSQLStoredProc,
  uSQLClientDataSet;

{$E so}

const
  RDBDLL = 'rdb.so';

function ap_mRDB: Tvalue; external RDBDLL;

procedure Init_dbx;
begin
  if ap_mRDB = 0 then ap_loaderror('undefined RDB module');

  Init_SQLConnection;
  Init_SQLDataSet;
  Init_SQLTable;
  Init_SQLQuery;
  Init_SQLStoredProc;
  Init_SQLClientDataSet;
end;

exports
  Init_dbx;

exports
  ap_cSQLConnection,
  ap_iSQLConnection;

begin
end.
